SELECT oh.invoice_number, oh.order_date, a.account_name, a.balance
  FROM account a RIGHT OUTER JOIN order_header oh
                    ON a.account_number = oh.account_number
 WHERE oh.amount_due > 0
/
